Bug 31126

Summary: bugzilla-tool's reviewer/committer rejection message should be clearer
Product: WebKit Reporter: Eric Seidel (no email) <eric>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: mark
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Attachments:
Description Flags
Patch
none
Add some extra newlines in the message to make it more readable darin: review+, eric: commit-queue-

Description Eric Seidel (no email) 2009-11-04 09:53:14 PST
bugzilla-tool's reviewer/committer rejection message should be clearer

The message should give action steps like.
1.  If you believe this message is in error, please add yourself as a Committer or Reviewer to committers.py and reset the flag.
2.  If you are not a committer/reviewer please set review=? or commit-queue=? instead and a reviewer/committer will set review+ commit-queue+ for you.

The prose should be briefer than that, and should include a link to the contributing docs.
Comment 1 Eric Seidel (no email) 2009-11-17 16:38:53 PST
Created attachment 43389 [details]
Patch
Comment 2 Eric Seidel (no email) 2009-11-17 16:40:21 PST
As an example, I'll ask someone without review access to r+ this patch.
Comment 3 WebKit Commit Bot 2009-11-17 16:44:39 PST
Comment on attachment 43389 [details]
Patch

Rejecting patch 43389 from review queue.

evan@chromium.org does not have reviewer permissions according to http://trac.webkit.org/browser/trunk/WebKitTools/Scripts/modules/committers.py.
If you have reviewer rights please correct the error in WebKitTools/Scripts/modules/committers.py by adding yourself to the file (no review needed) and then set the reviewer flag again.
If you do not have reviewer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.
Comment 4 Eric Seidel (no email) 2009-11-17 16:47:26 PST
Created attachment 43391 [details]
Add some extra newlines in the message to make it more readable
Comment 5 Eric Seidel (no email) 2009-11-17 17:08:21 PST
Comment on attachment 43391 [details]
Add some extra newlines in the message to make it more readable

Evan was just trying to be helpful. :)  But I'd like a real review on this one.
Comment 6 Dmitry Titov 2009-11-17 23:53:43 PST
Comment on attachment 43391 [details]
Add some extra newlines in the message to make it more readable

> diff --git a/WebKitTools/Scripts/modules/bugzilla.py b/WebKitTools/Scripts/modules/bugzilla.py
> +        if True:
> +            rejection_function(patch['id'], self._flag_permission_rejection_message(setter_email, result_key))
>          else:

Is this supposed to be "if True"? When the subsequent "else:" will be taken?
Comment 7 Darin Adler 2009-11-18 10:57:48 PST
Comment on attachment 43391 [details]
Add some extra newlines in the message to make it more readable

rs=me
Comment 8 Eric Seidel (no email) 2009-11-18 15:21:03 PST
Comment on attachment 43391 [details]
Add some extra newlines in the message to make it more readable

This needs to be landed by hand due to my error in this diff.
Comment 9 Eric Seidel (no email) 2009-11-19 12:28:17 PST
Committed r51202: <http://trac.webkit.org/changeset/51202>